Subject: git-apply and git-am should provide better errors when changelog is missing

From: Timur Tabi <[email-masked]>
Date: Mon, 23 Jul 2007 12:15:13 -0500

I was trying to apply a patch, and I kept getting this odd error:

I'm trying to apply a patch, and I get this error message:

git-apply --stat mpc86xx.patch
fatal: git-apply: bad git-diff - expected /dev/null on line 55

When I take a look at line 55 of mpc86xx.patch, I see this:

  # Yes MCA RS/6000s exist but Linux-PPC does not currently support any
  config MCA
diff --git a/arch/powerpc/boot/dts/mpc86xx.dts b/arch/powerpc/boot/dts/mpc86xx.dts$
new file mode 100644
index 0000000..a8a13b4
--- /dev/null					<--- line 55
+++ b/arch/powerpc/boot/dts/mpc86xx.dts
@@ -0,0 +1,187 @@
+/*
+ * MPC86xx Device Tree Source
+ *
+ * Copyright 2007 Freescale Semiconductor Inc.

So obviously, I was confused.  Well, I figured out the problem.  The patch did not include 
a changelog.  All it had was this:

 From b878a6b32a733e72a771fffd632f57b08808fc7f Mon Sep 17 00:00:00 2001
From: xxx <[email-masked]>
Date: Tue, 19 Jun 2007 12:55:59 -0500
Subject: [PATCH] Added MPC86xx Support

Signed-off-by: xxx <[email-masked]>
---
  arch/powerpc/Kconfig                        |    3 +-

Could someone please update the git-am and git-apply code to provide a better error 
message in this situation?  Thanks.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale